@use "../abstracts/mixins" as mix;
@use "../abstracts/variables" as var;
@use "sass:math";

.artistItemPage {
  background-color: #edd5bb;

  .header {
    height: var.$gutter-base * 2.5;
    width: 100%;
    padding: math.div(var.$gutter-base, 2.5);
    background-color: var.$background-color-base;
    box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.25);
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;

    img {
      width: 24%;
      position: absolute;
      top: 0px;
      left: 0;
      z-index: 1000;
    }

    .main {
      width: 70%;
      display: flex;
      justify-content: space-between;
      align-items: center;
      margin-left: 96px;

      h3 {
        color: var.$text-color-primary;
        margin: 0;
        font-family: "Reenie Beanie";
        font-style: normal;
        font-weight: var.$font-weight-medium;
        font-size: var.$font-size-big;
        line-height: var.$gutter-base;
      }

      .topnav {
        overflow: hidden;

        .myLinks {
          background: #a26a5e;
          box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
          display: none;
          position: absolute;
          top: 75px;
          left: 0;
          right: 0;
          width: 100%;
          text-align: center;

          a {
            font-size: 20px;
            color: white;
            padding: 12px 14px;
            text-decoration: none;
            // font-size: 17px;
            display: block;
          }
        }

        a.icon {
          color: var.$text-color-primary;
          display: block;
          font-size: 25px;
        }
      }
    }
  }

  .main {
    padding: 20px 0;

    .addNewItemBanner {
      background-color: #fcebd5;
      padding: 10px 20px;

      .inner {
        padding: 40px 0;
        border: 1px dashed #a26a5e;

        p {
          color: var.$text-color-primary;
          text-align: center;
        }
      }
    }
  }

  .currentArtistItems {
    margin-top: 16px;

    .artistItem {
      &:not(:first-child) {
        margin-top: 16px;
      }

      img {
        width: 100%;
        max-height: 159px;
      }

      .content {
        padding: 5px 20px;
        background-color: #fcebd5;

        h4 {
          color: #a16a5e;
          margin: 0;
          display: inline;
          font-size: 16px;
          font-weight: 200;
        }

        .price {
          color: white;
          font-weight: 200;
          font-size: 12px;
          float: right;
          margin-top: 6px;
          background-color: #a16a5e;
          padding: 3px 12px;
          border-radius: var.$border-radius;
        }

        small {
          font-size: 9px;
          color: #e09686;
          display: block;
        }

        p {
          margin-top: 9px;
          font-size: 12px;
          color: #a16a5e;
        }
      }

      .buttons {
        background-color: #a16a5e;
        padding: 10px 20px;
        display: flex;
        justify-content: space-between;

        button {
          color: white;
          border: none;
          border-radius: var.$border-radius;
          padding: 5px 12px;
          font-size: 12px;
        }

        #sendToAuction {
          background-color: #1b59ac;
        }

        #unpublish {
          background-color: #1bac6f;
        }

        #remove {
          background-color: #d44c2e;
        }

        #edit {
          color: #a16a5e;
          background-color: #fcebd5;
        }
      }
    }
  }
}
